> For the complete documentation index, see [llms.txt](https://docs.silkbuilder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.silkbuilder.com/tags/tile.md).

# Tile

The component **silk:Tile** distributes the data in a grid layout. The data is provided by a **silk:DataProvider** component.

## Tag Definition

Used as a container:

```xml
<silk:Tile
  id=""
  tag="div"
  dataSource=""
  parentList=""
  cssClass=""
  columns="0"
  rowClass=""
  renderer=""
>
   Contains: HTML template.
</silk:Tile>
```

## Properties

<sup>\*</sup>Required property.

### id<sup>\*</sup>

The tile's unique identifier.\
Default Value: *Empty*.

### tag

The HTML tag used as the Tail wrapper. If not provided, it uses "div".\
Default Value: *div*.

### dataSource

Set the name of the **silk:DataProvider** providing the data to render the tail's content.\
Default Value: *Empty*.

### parentList

The list which will be used to trigger data loading.\
Default Value: *Empty*.

### cssClass

Set the CSS Class used to stylize the tail container.\
Default Value: *Empty*.

### columns

Set the number of columns a row could have to simulate a

table. This is optional\
Default Value: *0*.

### rowClass

Set the CSS Class used to stylize the generated row if columns are more than 0.\
Default Value: *Empty*.

### renderer

The name of the JavaScript function that will process the cell data.\
Default Value: *Empty*.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.silkbuilder.com/tags/tile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
